﻿
using System;
using Wisej.Web;

namespace DesktopMenuFadeIn
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void Page1_Load(object sender, EventArgs e)
        {
            try
            {
                upMainMenu.Hide();
                upMainMenu.Eval("this.getContentElement().setStyles ({ \"box-shadow\": \"6px 6px 3px #C0C0C0\"})");
                upMainMenu.Eval("this.getContentElement().setStyles ({ \"opacity\": 0 })");

                var xPos = (Width - upMainMenu.Width) / 2;
                var yPos = (Height - upMainMenu.Height) / 2;
                upMainMenu.ShowPopup(xPos, yPos);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void mainDesktop_ItemClick(object sender, DesktopTaskBarItemClickEventArgs e)
        {
            try
            {
                if (e.Item == desktopMenu)
                {
                    // show popup menu
                    var xPos = (Width - upMainMenu.Width) / 2;
                    var yPos = (Height - upMainMenu.Height) / 2;
                    upMainMenu.ShowPopup(xPos, yPos);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void upMainMenu_VisibleChanged(object sender, EventArgs e)
        {
            try
            {
                if (upMainMenu.Visible)
                    upMainMenu.Eval("this.getContentElement().setStyles ({ \"opacity\": 0 })");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
